import { IBoxProps } from '@semcore/flex-box';
import { ReturnEl } from '@semcore/core';

export declare enum iso2Name {
  AF,
  AX,
  AL,
  DZ,
  AS,
  AD,
  AO,
  AI,
  AQ,
  AG,
  AR,
  AM,
  AW,
  AU,
  AT,
  AZ,
  BS,
  BH,
  BD,
  BB,
  BY,
  BE,
  BZ,
  BJ,
  BM,
  BN,
  BT,
  BO,
  BQ,
  BA,
  BW,
  BV,
  BR,
  IO,
  VG,
  BG,
  BF,
  BI,
  KH,
  CM,
  CA,
  CV,
  KY,
  CF,
  TD,
  CL,
  CN,
  CX,
  CC,
  CO,
  KM,
  CG,
  CK,
  CR,
  CI,
  HR,
  CU,
  CW,
  CY,
  CZ,
  CD,
  DK,
  DJ,
  DM,
  DO,
  TL,
  EC,
  EG,
  SV,
  GQ,
  ER,
  EE,
  ET,
  FK,
  FO,
  FJ,
  FI,
  FR,
  GF,
  PF,
  TF,
  GA,
  GM,
  GE,
  DE,
  GH,
  GI,
  GR,
  GL,
  GD,
  GU,
  GP,
  GT,
  GG,
  GN,
  GW,
  GY,
  HT,
  HM,
  VA,
  HN,
  HK,
  HU,
  IS,
  IN,
  ID,
  IR,
  IQ,
  IE,
  IM,
  IL,
  IT,
  JM,
  JP,
  JE,
  JO,
  KZ,
  KE,
  KI,
  KP,
  KR,
  XK,
  KW,
  KG,
  LA,
  LV,
  LB,
  LS,
  LR,
  LY,
  LI,
  LT,
  LU,
  MO,
  MK,
  MG,
  MW,
  MY,
  MV,
  ML,
  MT,
  MH,
  MQ,
  MR,
  MU,
  YT,
  MX,
  FM,
  MD,
  MC,
  MN,
  ME,
  MS,
  MA,
  MZ,
  MM,
  NA,
  NR,
  NP,
  NL,
  AN,
  NC,
  NZ,
  NI,
  NE,
  NG,
  NU,
  NF,
  MP,
  NO,
  OM,
  PK,
  PW,
  PS,
  PA,
  PG,
  PY,
  PE,
  PH,
  PM,
  PN,
  PL,
  PT,
  PR,
  QA,
  RE,
  RO,
  RU,
  RW,
  BL,
  SH,
  KN,
  LC,
  MF,
  VC,
  WS,
  SM,
  ST,
  SA,
  SN,
  RS,
  SC,
  SL,
  SG,
  SX,
  SK,
  SI,
  SB,
  SO,
  ZA,
  GS,
  SS,
  ES,
  LK,
  SD,
  SR,
  SJ,
  SZ,
  SE,
  CH,
  SY,
  TW,
  TJ,
  TZ,
  TH,
  TG,
  TK,
  TO,
  TT,
  TN,
  TR,
  TM,
  TC,
  TV,
  UG,
  UA,
  AE,
  GB,
  US,
  UM,
  VI,
  UY,
  UZ,
  VU,
  VE,
  VN,
  WF,
  EH,
  YE,
  ZM,
  ZW,
  af,
  ax,
  al,
  dz,
  as,
  ad,
  ao,
  ai,
  aq,
  ag,
  ar,
  am,
  aw,
  au,
  at,
  az,
  bs,
  bh,
  bd,
  bb,
  by,
  be,
  bz,
  bj,
  bm,
  bn,
  bt,
  bo,
  bq,
  ba,
  bw,
  bv,
  br,
  io,
  vg,
  bg,
  bf,
  bi,
  kh,
  cm,
  ca,
  cv,
  ky,
  cf,
  td,
  cl,
  cn,
  cx,
  cc,
  co,
  km,
  cg,
  ck,
  cr,
  ci,
  hr,
  cu,
  cw,
  cy,
  cz,
  cd,
  dk,
  dj,
  dm,
  do,
  tl,
  ec,
  eg,
  sv,
  gq,
  er,
  ee,
  et,
  fk,
  fo,
  fj,
  fi,
  fr,
  gf,
  pf,
  tf,
  ga,
  gm,
  ge,
  de,
  gh,
  gi,
  gr,
  gl,
  gd,
  gu,
  gp,
  gt,
  gg,
  gn,
  gw,
  gy,
  ht,
  hm,
  va,
  hn,
  hk,
  hu,
  is,
  in,
  id,
  ir,
  iq,
  ie,
  im,
  il,
  it,
  jm,
  jp,
  je,
  jo,
  kz,
  ke,
  ki,
  kp,
  kr,
  xk,
  kw,
  kg,
  la,
  lv,
  lb,
  ls,
  lr,
  ly,
  li,
  lt,
  lu,
  mo,
  mk,
  mg,
  mw,
  my,
  mv,
  ml,
  mt,
  mh,
  mq,
  mr,
  mu,
  yt,
  mx,
  fm,
  md,
  mc,
  mn,
  me,
  ms,
  ma,
  mz,
  mm,
  na,
  nr,
  np,
  nl,
  an,
  nc,
  nz,
  ni,
  ne,
  ng,
  nu,
  nf,
  mp,
  no,
  om,
  pk,
  pw,
  ps,
  pa,
  pg,
  py,
  pe,
  ph,
  pm,
  pn,
  pl,
  pt,
  pr,
  qa,
  re,
  ro,
  ru,
  rw,
  bl,
  sh,
  kn,
  lc,
  mf,
  vc,
  ws,
  sm,
  st,
  sa,
  sn,
  rs,
  sc,
  sl,
  sg,
  sx,
  sk,
  si,
  sb,
  so,
  za,
  gs,
  ss,
  es,
  lk,
  sd,
  sr,
  sj,
  sz,
  se,
  ch,
  sy,
  tw,
  tj,
  tz,
  th,
  tg,
  tk,
  to,
  tt,
  tn,
  tr,
  tm,
  tc,
  tv,
  ug,
  ua,
  ae,
  gb,
  us,
  um,
  vi,
  uy,
  uz,
  vu,
  ve,
  vn,
  wf,
  eh,
  ye,
  zm,
  zw,
}

export declare enum iso3Name {
  AFG,
  ALA,
  ALB,
  DZA,
  ASM,
  AND,
  ANT,
  AGO,
  AIA,
  ATA,
  ATG,
  ARG,
  ARM,
  ABW,
  AUS,
  AUT,
  AZE,
  BHS,
  BHR,
  BGD,
  BRB,
  BLR,
  BEL,
  BLZ,
  BEN,
  BMU,
  BTN,
  BOL,
  BES,
  BIH,
  BWA,
  BVT,
  BRA,
  IOT,
  BRN,
  BGR,
  BFA,
  BDI,
  CPV,
  KHM,
  CMR,
  CAN,
  CYM,
  CAF,
  TCD,
  CHL,
  CHN,
  CXR,
  CCK,
  COL,
  COM,
  COG,
  COD,
  COK,
  CRI,
  CIV,
  HRV,
  CUB,
  CUW,
  CYP,
  CZE,
  DNK,
  DJI,
  DMA,
  DOM,
  ECU,
  EGY,
  SLV,
  GNQ,
  ERI,
  EST,
  ETH,
  FLK,
  FRO,
  FJI,
  FIN,
  FRA,
  GUF,
  PYF,
  ATF,
  GAB,
  GMB,
  GEO,
  DEU,
  GHA,
  GIB,
  GRC,
  GRL,
  GRD,
  GLP,
  GUM,
  GTM,
  GGY,
  GIN,
  GNB,
  GUY,
  HTI,
  HMD,
  VAT,
  HND,
  HKG,
  HUN,
  ISL,
  IND,
  IDN,
  IRN,
  IRQ,
  IRL,
  IMN,
  ISR,
  ITA,
  JAM,
  JPN,
  JEY,
  JOR,
  KAZ,
  KEN,
  KIR,
  PRK,
  KOR,
  KWT,
  KGZ,
  LAO,
  LVA,
  LBN,
  LSO,
  LBR,
  LBY,
  LIE,
  LTU,
  LUX,
  MAC,
  MKD,
  MDG,
  MWI,
  MYS,
  MDV,
  MLI,
  MLT,
  MHL,
  MTQ,
  MRT,
  MUS,
  MYT,
  MEX,
  FSM,
  MDA,
  MCO,
  MNG,
  MNE,
  MSR,
  MAR,
  MOZ,
  MMR,
  NAM,
  NRU,
  NPL,
  NLD,
  NCL,
  NZL,
  NIC,
  NER,
  NGA,
  NIU,
  NFK,
  MNP,
  NOR,
  OMN,
  PAK,
  PLW,
  PSE,
  PAN,
  PNG,
  PRY,
  PER,
  PHL,
  PCN,
  POL,
  PRT,
  PRI,
  QAT,
  REU,
  ROU,
  RUS,
  RWA,
  BLM,
  SHN,
  KNA,
  LCA,
  MAF,
  SPM,
  VCT,
  WSM,
  SMR,
  STP,
  SAU,
  SEN,
  SRB,
  RKS,
  SYC,
  SLE,
  SGP,
  SXM,
  SVK,
  SVN,
  SLB,
  SOM,
  ZAF,
  SGS,
  SSD,
  ESP,
  LKA,
  SDN,
  SUR,
  SJM,
  SWZ,
  SWE,
  CHE,
  SYR,
  TWN,
  TJK,
  TZA,
  THA,
  TLS,
  TGO,
  TKL,
  TON,
  TTO,
  TUN,
  TUR,
  TKM,
  TCA,
  TUV,
  UGA,
  UKR,
  ARE,
  GBR,
  USA,
  UMI,
  URY,
  UZB,
  VUT,
  VEN,
  VNM,
  VGB,
  VIR,
  WLF,
  ESH,
  YEM,
  ZMB,
  ZWE,
  afg,
  ala,
  alb,
  dza,
  asm,
  and,
  ant,
  ago,
  aia,
  ata,
  atg,
  arg,
  arm,
  abw,
  aus,
  aut,
  aze,
  bhs,
  bhr,
  bgd,
  brb,
  blr,
  bel,
  blz,
  ben,
  bmu,
  btn,
  bol,
  bes,
  bih,
  bwa,
  bvt,
  bra,
  iot,
  brn,
  bgr,
  bfa,
  bdi,
  cpv,
  khm,
  cmr,
  can,
  cym,
  caf,
  tcd,
  chl,
  chn,
  cxr,
  cck,
  col,
  com,
  cog,
  cod,
  cok,
  cri,
  civ,
  hrv,
  cub,
  cuw,
  cyp,
  cze,
  dnk,
  dji,
  dma,
  dom,
  ecu,
  egy,
  slv,
  gnq,
  eri,
  est,
  eth,
  flk,
  fro,
  fji,
  fin,
  fra,
  guf,
  pyf,
  atf,
  gab,
  gmb,
  geo,
  deu,
  gha,
  gib,
  grc,
  grl,
  grd,
  glp,
  gum,
  gtm,
  ggy,
  gin,
  gnb,
  guy,
  hti,
  hmd,
  vat,
  hnd,
  hkg,
  hun,
  isl,
  ind,
  idn,
  irn,
  irq,
  irl,
  imn,
  isr,
  ita,
  jam,
  jpn,
  jey,
  jor,
  kaz,
  ken,
  kir,
  prk,
  kor,
  kwt,
  kgz,
  lao,
  lva,
  lbn,
  lso,
  lbr,
  lby,
  lie,
  ltu,
  lux,
  mac,
  mkd,
  mdg,
  mwi,
  mys,
  mdv,
  mli,
  mlt,
  mhl,
  mtq,
  mrt,
  mus,
  myt,
  mex,
  fsm,
  mda,
  mco,
  mng,
  mne,
  msr,
  mar,
  moz,
  mmr,
  nam,
  nru,
  npl,
  nld,
  ncl,
  nzl,
  nic,
  ner,
  nga,
  niu,
  nfk,
  mnp,
  nor,
  omn,
  pak,
  plw,
  pse,
  pan,
  png,
  pry,
  per,
  phl,
  pcn,
  pol,
  prt,
  pri,
  qat,
  reu,
  rou,
  rus,
  rwa,
  blm,
  shn,
  kna,
  lca,
  maf,
  spm,
  vct,
  wsm,
  smr,
  stp,
  sau,
  sen,
  srb,
  rks,
  syc,
  sle,
  sgp,
  sxm,
  svk,
  svn,
  slb,
  som,
  zaf,
  sgs,
  ssd,
  esp,
  lka,
  sdn,
  sur,
  sjm,
  swz,
  swe,
  che,
  syr,
  twn,
  tjk,
  tza,
  tha,
  tls,
  tgo,
  tkl,
  ton,
  tto,
  tun,
  tur,
  tkm,
  tca,
  tuv,
  uga,
  ukr,
  are,
  gbr,
  usa,
  umi,
  ury,
  uzb,
  vut,
  ven,
  vnm,
  vgb,
  vir,
  wlf,
  esh,
  yem,
  zmb,
  zwe,
}

type iso2 = keyof typeof iso2Name;
type iso3 = keyof typeof iso3Name;

export interface IFlagsProps extends IBoxProps {
  /** URL before css file with a sprite
   * @default `//static.semrush.com/ui-kit/flags/${version package}`
   */
  staticPath?: string;
  /** Country code in two-letter format */
  iso2?: iso2;
  /** Country code in three-letter format */
  iso3?: iso3;
}

declare const Flags: <T>(props: IFlagsProps & T) => ReturnEl;

export default Flags;
