# Changelog

CHANGELOG.md standards are inspired by [keepachangelog.com](https://keepachangelog.com/en/1.0.0/).

## [3.32.1] - 2022-05-19

### Fixed

- Synced dependencies versions to remove duplicates in the single export package.

## [3.32.0] - 2022-05-17

### Added

- Added `light` function for increasing `l` axes in hsl color space of `rgb(a)` and hex colors

### Fixed

- Remove react warning when accessing "ref" property

## [3.31.2] - 2022-03-05

### Fixed

- Fixed set property in body (when window inside window and body don't have `box-sizing`) in `usePreventScroll`.

## [3.31.1] - 2022-02-24

### Added

- Added repository field to package.json file.

## [3.31.0] - 2022-01-25

### Added

- Added function `isAdvanceMode` in `findComponent`.

## [3.30.5] - 2021-12-22

### Fixed

- Fixed opacity calculation regardless of case.

## [3.30.4] - 2021-12-15

### Fixed

- Fixed logic to function `defaultFindNeighbor` for `a11yEnhance`.

## [3.30.3] - 2021-11-29

### Changed

- Added magic comment in `color.ts` for update values in themes.

## [3.30.2] - 2021-8-26

### Changed

- Add 'sideEffect=false' for more optimal build via webpack

## [3.30.1] - 2021-04-28

### Changed

- Changed breakpoints value.

## [3.30.0] - 2021-04-28

### Added

- Added function enhance `a11yEnhance`.

## [3.29.0] - 2021-04-26

### Changed

- Added processing `forwardRef` for `assignProps`.
- Removed the ability to apply media variables.

## [3.28.0] - 2021-03-15

### Fixed

- Update function `opacity`, now this function can set opacity for rgb color.

## [3.27.0] - 2021-02-20

### Changed

- [TS] Update types interface `IWithI18nEnhanceProps`.

## [3.26.0] - 2021-02-11

### Added

- Added vars for media query.

## [3.24.0] - 2020-12-16

### Added

- Added enhance for set `uid` and `useUID` to set random numbers.

## [3.23.2] - 2020-10-06

### Fixed

- Revert move .d.ts files because typescript does not see types on import.

## [3.23.1] - 2020-10-06

### Fixed

- Change "any" type for createHoc function

## [3.23.0] - 2020-09-30

### Changed

- Build changed from rollup to babel
- Move .d.ts files from /lib to /lib/types directory

## [3.22.1] - 2020-09-11

### Added

- Add helper function `syncScroll`.
- Add special key-prop for exclude valid property for `propsForElement`.

### Fixed

- Return work function `assignHandlers` to default state

## [3.21.0] - 2020-08-16

### Added

- Добавлена функция `brightness` в `color` для вычисления контраста

## [3.20.0] - 2020-08-14

### Added

- Добавлен hook `usePreventScroll`, блокирующий скролл страницы

## [3.19.1] - 2020-08-13

### Added

- Добавилась возможность передавать ref в element для `useEventListener`.

## [3.18.0] - 2020-07-14

### Added

- Добавился новый цвет `google-my-business`

### Changed

- Добавлена оптимизация для `assignProps`, теперь не создаются новые функции и ref
  ссылки если они не нужны. Это позволит избежать лишних перерендеров, когда свойства не меняются.

## [3.17.2] - 2020-06-19

### Fixed

- Добавлена проверка на отсутствие локали в `i18nEnhance`.
- Добавлена `TS` типы для `i18nEnhance`.
- Исправлен не работающий autoFocus, когда нода быстро перерендривается.

## [3.17.0] - 2020-06-17

### Added

- Добавлена возможность интерполяции в `i18nEnhance`

## [3.16.3] - 2020-06-08

### Fixed

- Исправлен проброс свойств в функции `i18nEnhance`.

## [3.16.0] - 2020-06-03

### Added

- Добавлена проверка `children` свойств на одиночных тегах в `propsForElement`
- Добавлена функция `i18nEnhance` для работы с переводами

## [3.15.4] - 2020-06-01

### Fixed

- Добавлен tabIndex по умолчанию для `keyboardFocusEnhance`

## [3.15.3] - 2020-05-29

### Fixed

- В `logger` убрано обращение к window, так как возможен запуск на сервере

### Changed

- `injectStyle` не вставляет одинаковые стили два раза

## [3.15.1] - 2020-05-19

### Fixed

- `useForkRef` теперь возвращает memo функцию, а не ref
- Убрана ошибка в `autoFocusEnhance` при исчезновении ноды

## [3.15.0] - 2020-04-27

### Added

- Функция `addonTextChildren` теперь может принимать массив `Addon-ов`.

## [3.14.1] - 2020-04-24

### Added

- Добавлена функция `getNodeByRef` для получения dom node из ref-а.
- Добавлена функция `findComponent` для поиска компонентов в `Children`.

## [3.13.2] - 2020-04-16

### Fixed

- Добавлено описание интерфейса `autoFocusEnhance`

## [3.13.0] - 2020-04-10

### Added

- Добавлена функция `getOriginChildren` для поиска оригинального children.

## [3.12.1] - 2020-04-03

### Fixed

- Теперь при передаче не правильного значения в функцию `color` возвращается пустая строка.

## [3.12.0] - 2020-04-02

### Added

- Добавлена утилита `inputProps` для разделения свойств инпута

### Fixed

- Поправился тип для `setRef`/`forkRef`

### Changed

- Изменился импорт по умолчанию для `color`
- Убраны dev зависимости

## [3.11.2] - 2020-03-31

### Fixed

- Добавлена пропущенная зависимость `@semcore/core`.

## [3.11.0] - 2020-03-27

### Added

- Добавлена возможность функции `addonText` работать с `Children` из core пакета.

## [3.10.0] - 2020-03-27

### Added

- Добавлены функции работы с цветом `color`, которые раньше находились в `Paint`.

## [3.25.0] - 2020-12-17

### Added

- Added supported react@17.

## [3.9.1] - 2020-03-24

### Added

- Добавлены функции работы с `ref` такие, как `forkRef` и `useForkRef`
- Добавлена функция работы с объектом, `pick`

### Fixed

- Функция `fire` теперь возвращает значение из вызванной функции

## [3.8.1] - 2020-02-20

### Fixed

- Исправили поведение функции `getText` для `WithI18n`. Теперь если функция получает не существующую локаль, то береться английская локаль.

## [3.8.0] - 2020-02-12

### Added

- Добавили возможность изменить свойство `getText` для компонентов, которые обернуты в `WithI18n`
- Добавили новые функции `useEnhancedEffect, useEventCallback`, которые могут быть использованы вместо одноименных `useEffect, useLayoutEffect, useCallback`, но с небольшими модификациями для предсказуемости поведения

### Changed

- Убрали неиспользуемые цвета `violet`, `dark-violet` и добавили `keyborad-focus` в палитре цветов `sellerly`

## [3.7.0] - 2020-02-04

### Added

- Добавлен компонент `IfChildren` и тип `ChildrenType<ContextType>`

## [3.6.2] - 2020-01-30

### Fixed

- Изменили цвет для `rose`, `dark-rose` в теме `sellerly`

## [3.6.1] - 2020-01-29

### Fixed

- Исправлено значение(null -> {}) возвращаемое в setState в internalSetState для корректной работы preact

## [3.6.0] - 2020-01-28

### Added

- Добавили глобальные стили для темы `sellerly`

## [3.5.1] - 2019-12-16

### Fixed

- Пакет пересобран под commonjs

## [3.5.0] - 2019-12-12

### Added

- Появилась возможность добавления различных стилистических тем через css переменные
- Появилась возможность оптицонально подключать адаптивность
- Появилась возможность изолировать стили даже в пределах одной страницы
- Добавлена функция `CSSinJS` для работы с CSS в JS и SSR
- Добавлена функция `injectStyle` для вставки стилей кита в `html`

### Changed

- Изменен алгоритм вставки стилей в head

### Removed

- Убраны относительные единицы измерения(rem), которые использовались для адаптивности

## [3.4.1] - 2019-11-14

### Added

- Добавлен `rafTrottle` - хэлпер, для тротлинга часто вызывающихся функций

## [3.4.0] - 2019-11-14

### Added

- Добавлены медиа переменные

## [3.3.1] - 2019-10-24

### Added

- Добавлена возможность принудительно указывать локаль для `getText` в `WithI18n`

### Fixed

- Исправлен line-height 600

## [3.2.2] - 2019-10-17

### Fixed

- Создается и используется один и тот же контекст для WithCSS и useCss

- Заменен метод `setRef` в `assignProps`

## [3.2.0] - 2019-10-10

### Added

- Добавлен `WithRef`/`useCss`

## [3.1.0] - 2019-09-27

### Added

- Добавил `white`/`black` переменные цветов

## [3.0.2] - 2019-09-09

### Fixed

- Усправлены не работающие фокусы с клавиатуры

## [3.0.1] - 2019-09-06

### Fixed

- Усправлены ES импорты внутри `babel/runtime`

## [3.0.0] - 2019-09-05

### BREAK

- Все утилиты переписаны на typescript
- Удалены

  - validAttr.js
  - withAnalytics.js
  - index.js
  - createConnector.js
  - getSizeText.js
  - setStateIfNeeded.js

- Переменные с размером текста в `style/var.css` приведены в соответствие с типографикой

### Fixed

- Исправлено отображение фокуса

## [2.6.0] - 2019-08-23

### Added

- Добавлен `HOC` `WithI18n`, хук `useI18n` и `Context` для проброса локали
- Добавлена ф-ция `fireFn` в утилиту `fire`

## [2.5.1] - 2019-08-12

### Added

- Добавлена функция `addonText` оборачивающая содержимое компонента в `Text` если это нужно

## [2.4.2] - 2019-06-25

### Fixed

- Исправлены prop-types `WithAutoFocus`

## [2.4.0] - 2019-06-24

### Added

- Добавлен новый HOC `EnhancedWithAutoFocus`

## [2.3.0] - 2019-05-10

### Added

- Добавлена возможность серверного рендера css

### Changed

- Обнавлена зависимость `nano-css`

## [2.2.3] - 2019-05-20

### Fixed

- Убрана возможность фокусировать задизейбленные элементы в `WithKeyboardFocus`

## [2.2.2] - 2019-04-12

### Added

- Копирование `defaultProps` при создание компонентов через `createHoc`

## [2.2.1] - 2019-04-01

### Added

- Функция `isRetina` для проверки ретина дисплея

## [2.1.0] - 2019-02-15

### Changed

- Теперь стили добавляются в один тег style, а не в множества
- Css-in-js инициализируется при создании компонента, а не при его импорте

### Fixed

- Исправлена проблема производительности css-in-js при dev сборках

## [2.0.2] - 2019-02-08

### Added

- функция `getSizeText` для соответствия основных размеров текста к компоненту `Text`

## [2.0.1] - 2019-02-01

### Added

- функция `canUseDom` для идентификации доступности DOM элементов

## [2.0.0] - 2019-01-18

### Added

- добавлен HOC для CSS in JS `WithCSS`

### Changed

- Перенеcли HOC `WithNeighborLocation` (помогавший узнать положение компонента относительного его соседей), в отдельный
  компонент `@semcore/neighbor-location`

## [1.3.0] - 2018-11-22

### Added

- функция `assignProps` теперь расширяет свойство `className`

## [1.2.0] - 2018-11-07

### Added

- функция `isPromise` для идентификации функции возвращающей `Promise`
- возможность передать в функцию `propsForElement` второй аргумент `element`

## [1.1.6] - 2018-10-11

### Added

- набор функций для работы со слиянием пропсов, находятся в пакете `assignProps`

## [1.1.5] - 2018-09-27

### Added

- функция `capitalizeFirstLetter` для отображения строки с заглавной буквы
- функция `getRandomInt` возвращает рандомное число, между `min` и `max` заданными значениями
- вспомогательный компонент `If` с возможностью упарвлять отображением дочерних узлов при помощи свойства `condition`
- функция `ownerDocument` возвращает объект документа верхнего уровня (document) для переданного узла
- функция `setRef` устанавливает переданное значение как `node` элемента
- набор функций для работы со `state`-ом компонента (чтение и изменение), находятся в пакете `uncontroll`
- возможность пробрасывать опции на обертку при создании компонентов с помощью `createHoc`

## [1.1.4] - 2018-09-10

### Added

- хелпер функция для локализации `getL10n`
- хелпер функция для возврата числовых значений из css `cssToIntDefault`
- хелпер функция для отправки событий в GA `withAnalytics`

## [1.1.3] - 2018-08-30

### Changed

- Цвет \$gray60 изменился на #757575

## [1.1.2] - 2018-08-17

### Added

- Добавлен компонент для создания других компонентов (HOC)
- Добавлен компонент обертка для работы с контекстом `neighborLocation`

## [1.1.1] - 2018-08-08

### Added

- Добавленна поддержка зависимости от React15

## [1.1.0] - 2018-07-01

### Added

- Новая структура декомпозиции хелпер функции на файлы

## [1.0.1] - 2018-06-21

### Added

- Initial release
