---
title: Example
---

@## Базовое использование

Тут все просто, берем селект, кидаем options в проп `options` и идем пить чаек 😎
@example basic

@## Кастомные Option

Как только у вас появится необходимость в кастомизации - вам нужно будет "разворачивать" компонент.
В примере ниже изменяется верстка `Select.Option`.  
@example basic2

@## Контролируемый режим

Если нам нужно контролировать изменения значений, то нам надо подписаться на `onChange` и передавать `selectedOptions`.
`selectedOptions` и аргумент в `onChange` - это всегда массивы и если у вас не мультиселект, то значения всегда будет одно.
@example control

@## Настраеваемый Trigger

Часто верстка в триггере не соответствует значению опции, например нам надо добавить иконку флага
@example setting-trigger

@## Кастомный Trigger

Все фронтенд-разработчики знают, что триггером у селекта может быть все, что угодно 😇.
Мы учли это при разработке компонента, так что вы можете сделать триггером любой компонент просто передав в children `Select.Trigger` функцию и забрав из контекста все, что вам нужно.

```jsx
<Select.Trigger tag={Trigger}>
{({ value, placeholder }) => (
  YOUR CODE
)}
</Select.Trigger>
```

@## Триггер похожий на ссылку

Необходимо ознакомиться с API [LinkTrigger](/components/filter-trigger/filter-trigger-api/#a4162d)
@example trigger

@## Вставляем Notice

Для вставки нотификации вне списка, нам надо "выйти" из него, поэтому мы разворачиваем `<Select.Menu/>` в `<Select.Popper/>` и `<Select.List/>`. Магия, нет слов!
@example notice

@## Вставляем Input для фильтрации

Мы добавили инпут для фильтрации как `Select.InputSearch` без особых возможностей кастомизации, все props упадут на спрятанный внутри `Input.Value`.
@example filter

@## Multiselect 🤯

Этот селект настолько классный, что он одновременно и мультиселект 😎
Все, что нужно, это накинуть сверху проп `multiselect`, использовать массив в `value` и передать в options `Select.OptionCheckbox`
@example multiselect

@## Минутка порталов 🧙🏻‍♂️

По умолчанию все выпадашки, использующие в себе `Popper`, рендерятся в портал в body.  
Для управления рендером всплывающего контента нужно передать параметры в [portal](/utils/portal)
(`PortalProvider` можно импортировать из самого компонента `Select`).
@example portals

@## Контекст доступен везде

Select имеет следующие статические методы:

- Trigger
- Menu
- Option
- OptionCheckbox

Каждый из них может принимать рендер-функцию, в аргументах которой можно ловить контекст компонента.
В примере ниже мы вытаскиваем функции для сброса значения и закрытия селекта и кидаем их в onClick ссылки `Reset`, размещенной над списком опций.
@example reset

@## Вложенные выпадающие списки

В некоторых случаях вам может понадобится вложить один выпадающий список в другой.
Ниже представлен пример того, как это можно сделать.

@example nesting

@## Множественный выбор для мультиселекта

Иногда необходимо выбрать все опции `Select all` или очистить все `Deselect all`.

@example selectAll

@## Мультиселект с сортировкой чекнутых options

@example multiselect-sorted
