---
title: A11y
---

> ### General recommendations
>
> - Tables with one header and simple data are fairly accessible out of the box and may not need additional accessibility updates. Always use the simplest table configuration possible.
>
> - When your tables get more complex, use the `<th>` element to identify the header cells by adding a scope attribute. For header rows use `<th scope="row">`. For header columns use `<th scope="col"`>
>
> - Add the optional `<caption>` element before the table content to give users more information on the table contents. Think of it as a headline for your table.
>
> [A11y style guide](https://a11y-style-guide.com/style-guide/section-structure.html#kssref-structure-tables)

@## Other recommendations

See more accessibility recommendations in the common [Accessibility guide](/core-principles/a11y/).
